<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>
	<!-- The "id" attribute assigns a unique named indentified to an element -->
	<h2 id="top">HTML Attributes</h2>
	<!-- The align attribute changes the alignment of the paragraph element -->
	<p align="center">
		<em>Modifiers of element behaviors.</em>
	</p>

	<h2>HTML Images</h2>
	<p align="right">
		<em>
			<!-- &lt; and &gt; are called HTML eitities which are used to include special characters into text -->
			An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.
		</em>
	</p>
	
	<a href="https://place-puppy.com">
		<!-- <img> tag is used to include images -->
		<!-- "src" attribute accepts a URL from an online resource -->
		<img src="https://place-puppy.com/300x300">
	</a>
	
	<p>
		<!-- <code> tag is used to define a peice of computer code and displays text in the browser using its default monospace font -->
		<code>
			&lt; img src="https://place-puppy.com/300x300" &gt;
		</code>
	</p>

	<!-- The "target attribute defines where the link will be opened" -->
	<!-- "_blank" will open the link in a new tab -->
	<a href="https://zuitt.co/" target="blank"><!-- dot (.) symbol refers to the current directory -->
	<!-- forward slash (/) symbol refers to accessing a different directory/folder -->
	<img src="./images/eunwoo.jpg">
	</a>

	<p>
		<code>	
			&lt; img src="./images/eunwoo.jpg" &gt;
		</code>
	</p>
	<p>Valid image extensions are the following:</p>
	<!-- The "type" attribute changes the numbered points of the ol elements -->
	<!-- Other values for the type attribute are the following:
	- a
	- A
	- i
	- I
	 -->
	 <!-- "reversed" attribute reverses the order -->
		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p>
			Take a look at w3schools attributes references
			<a href="https://www.w3schools.com/tags/ref_attributes.asp">here</a>.
		</p>

		<!-- https://zuitt.co/ -->
		<h2>HTML Links</h2>
		<h4>Absolute Link</h4>

		<!-- <a> tag creates a hyperlink element when clicked will redirect to a different page -->
		<!-- "href" attribute means hypertext reference which is used to create a link to a different page -->
		<a href="https://zuitt.co/">I'm a hyperlink.</a>

		<h4>Relative Link</h4>
		<!-- Redirect to the link.html file -->
		<p>Go to <a href="./link.html">link.html</a> page.</p>

		<!-- Redirects to the HTML element with "top" id attribute -->
		<p>Go to <a href="#top">top</a></p>
</body>
</html>